Спираль винтовая (Helix)
|
Расположение в меню |
---|
Деталь → Создать примитивы... → Спираль |
Верстаки |
Part(Деталь), OpenSCAD |
Быстрые клавиши |
Нет |
Представлено в версии |
- |
См. также |
Примитивы |
Описание
Спираль создаёт геометрический примитив в форме спирали, которая задаётся радиусом, шагом и общей высотой.
Применение
See Part Primitives.
Example

A Part Helix object created with the scripting example below is shown here.
Опции
Обычно винтовая спираль используется для создания резьб в сочетании с закрытым профилем и операцией Развёртка(Sweep) детали. Этот процесс работает практически так же как и в верстаке PartDesign с помощью инструмента
PartDesign Аддитивная(добавочная) труба.
Properties
See also: Property editor.
A Part Helix object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Coordinate System
- ДанныеLocal Coord (
Enumeration
): The handedness, or direction, of the helix:Right-handed
orLeft-handed
. The default isRight-handed
, meaning the helix turns counterclockwise as it goes up.
Helix
- ДанныеPitch (
Length
): The distance between two consecutive turns of the helix measured along its Z axis. The default is1mm
. - ДанныеHeight (
Length
): The height of the helix. The default is2mm
. - ДанныеRadius (
Length
): The start radius of the helix. The helix has a constant radius if ДанныеAngle is0°
. - ДанныеSegment Length (
QuantityConstraint
): The number of turns per helix subdivision. The default is1
, meaning each full turn of the helix is a separate segment. Use0
to suppress subdivision. - ДанныеAngle (
Angle
): The angle that defines of the outer shape of the helix. Valid range:-90° < value < 90°
. The default is0°
. If it is0°
the helix is cylindrical, else it is conical.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Helix can be created with the addObject()
method of the document:
helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
- Where
"myHelix"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))
doc.recompute()
- Примитивы: Куб(Параллелограмм), Конус, Цилиндр, Сфера, Тор, Полый цилиндр,Примитивы, Связующие формы
- Создание и правка: Выдавливание, Построение фигуры вращения, Отражение, Скругление, Фаска, Создать плоскость из граней, Ruled Surface, Профиль, Sweep, Section, Cross sections, 3D Offset, 2D Offset, Создать полый объект, Projection on surface, Прикрепление
- Булевы операции: Соединить, Разорвать связь, Compound Filter, Булевы операции, Cut, Fuse, Common, Connect, Embed, Cutout, Boolean fragments, Slice apart, Slice, XOR
- Измерительные: Measure Linear, Measure Angular, Measure Refresh, Clear All, Toggle All, Toggle 3D, Toggle Delta

- Начинающим
- Установка: Загрузка, Windows, Linux, Mac, Дополнительных компонентов, Docker, AppImage, Ubuntu Snap
- Базовая: О FreeCAD, Интерфейс, Навигация мыши, Методы выделения, Имя объекта, Настройки, Верстаки, Структура документа, Свойства, Помоги FreeCAD, Пожертвования
- Помощь: Учебники, Видео учебники
- Верстаки: Std Base, Arch, Assembly, CAM, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework